### Constructor

# Vips Object new_from_string

#### Declaration [src]

    VipsObject*
    vips_object_new_from_string (
      VipsObjectClass* object_class,
      const char* p
    )

#### Description

No description available.

#### Parameters

`object_class`

  Type: `VipsObjectClass`

  No description available.

  The data is owned by the caller of the function.

`p`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsObject`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.